clash-ghc-1.8.1: Clash: a functional hardware description language - GHC frontend

Copyright | (C) 2020 QBayLogic B.V.
License | BSD2 (see the file LICENSE)
Maintainer | QBayLogic B.V. <devops@qbaylogic.com>
Safe Haskell | Safe-Inferred
Language | Haskell2010

Clash.GHC.PartialEval

Description

The partial evalautor for the GHC front-end. This can be used to evaluate terms in Clash core to WHNF or NF, using knowledge of GHC primitives and types. For functions which can use this evaluator, see Clash.Core.PartialEval.

Synopsis

- ghcEvaluator :: Evaluator

# Documentation

ghcEvaluator :: Evaluator Source #

The partial evaluator for the GHC front-end. For more details about the implementation see Clash.GHC.PartialEval.Eval for evaluation to WHNF and Clash.GHC.PartialEval.Quote for quoting to NF.